Skip to main content
GET
/
v3
/
enterprise
/
consumption
/
daily
/
service-users
/
{service_user_id}
Get Service User Daily Consumption
curl --request GET \
  --url https://api.devin.ai/v3/enterprise/consumption/daily/service-users/{service_user_id} \
  --header 'Authorization: Bearer <token>'
{
  "consumption_by_date": [
    {
      "acus": 123,
      "acus_by_product": {
        "cascade": 123,
        "devin": 123,
        "terminal": 123
      },
      "date": 123
    }
  ],
  "total_acus": 123
}

Permissions

Requires a service user with the ManageBilling permission at the enterprise level.

Authorizations

Authorization
string
header
required

Service User credential (prefix: cog_)

Path Parameters

service_user_id
string
required

Query Parameters

time_before
integer | null
time_after
integer | null

Response

Successful Response

consumption_by_date
ConsumptionByDateResponse · object[]
required
total_acus
number
required